Failed

org.eclipse.jdt.core.tests.compiler.regression.Compliance_1_7.testBug490988 - 12 (from org.eclipse.jdt.core.tests.compiler.regression.TestAll)

Failing for the past 10 builds (Since Failed#44 )
Took 0.99 sec.

Error Message

testBug490988 - Eclipse found error(s) but Javac did not find any.
----------- Expected ------------

------------ but was ------------
----------\n
1. ERROR in Thing.java (at line 5)\n
 Iterator.super.remove(); // not 1.7-compliant (must be an error)\n
 ^^^^^^^^^^^^^^\n
Super method references to interface default methods are allowed only at source level 1.8 or above\n
----------\n
2. ERROR in Thing.java (at line 6)\n
 Comparator.naturalOrder(); // not 1.7-compliant (bad error message)\n
            ^^^^^^^^^^^^\n
References to interface static methods are allowed only at source level 1.8 or above\n
----------\n

--------- Difference is ----------
 expected:<[]> but was:<[----------\n
1. ERROR in Thing.java (at line 5)\n
 Iterator.super.remove(); // not 1.7-compliant (must be an error)\n
 ^^^^^^^^^^^^^^\n
Super method references to interface default methods are allowed only at source level 1.8 or above\n
----------\n
2. ERROR in Thing.java (at line 6)\n
 Comparator.naturalOrder(); // not 1.7-compliant (bad error message)\n
            ^^^^^^^^^^^^\n
References to interface static methods are allowed only at source level 1.8 or above\n
----------\n
]>

Stacktrace

junit.framework.ComparisonFailure: 
testBug490988 - Eclipse found error(s) but Javac did not find any.
----------- Expected ------------

------------ but was ------------
----------\n
1. ERROR in Thing.java (at line 5)\n
	Iterator.super.remove(); // not 1.7-compliant (must be an error)\n
	^^^^^^^^^^^^^^\n
Super method references to interface default methods are allowed only at source level 1.8 or above\n
----------\n
2. ERROR in Thing.java (at line 6)\n
	Comparator.naturalOrder(); // not 1.7-compliant (bad error message)\n
	           ^^^^^^^^^^^^\n
References to interface static methods are allowed only at source level 1.8 or above\n
----------\n

--------- Difference is ----------
 expected:<[]> but was:<[----------\n
1. ERROR in Thing.java (at line 5)\n
	Iterator.super.remove(); // not 1.7-compliant (must be an error)\n
	^^^^^^^^^^^^^^\n
Super method references to interface default methods are allowed only at source level 1.8 or above\n
----------\n
2. ERROR in Thing.java (at line 6)\n
	Comparator.naturalOrder(); // not 1.7-compliant (bad error message)\n
	           ^^^^^^^^^^^^\n
References to interface static methods are allowed only at source level 1.8 or above\n
----------\n
]>
	at org.eclipse.jdt.core.tests.compiler.regression.Compliance_1_7.testBug490988(Compliance_1_7.java:192)

Standard Output

org.eclipse.jdt.core.tests.compiler.regression.Compliance_1_7#testBug490988 - 12
Thing.java [
import java.util.Comparator;
import java.util.Iterator;
public class Thing implements Iterator<Object> {
    void breaking() {
        Iterator.super.remove(); // not 1.7-compliant (must be an error)
        Comparator.naturalOrder(); // not 1.7-compliant (bad error message)
    }
    @Override
    public boolean hasNext() {
        return false;
    }
    @Override
    public Object next() {
        return null;
    }
    public static void main(String[] args) {
        new Thing().breaking();
    }
}
]


Full results sent to /tmp/comptest/run.1573297474160/12_20191109_110435.txt

Standard Error

----------------------------------------